### Method

# Adw SpringAnimationset_initial_velocity

#### Declaration [src]

    void
    adw_spring_animation_set_initial_velocity (
      AdwSpringAnimation* self,
      double velocity
    )

#### Description [src]

Sets the initial velocity of `self`.

Initial velocity affects only the animation curve, but not its duration.

Sets property | `Adw.SpringAnimation:initial-velocity`

#### Parameters

`velocity`

  Type: `double`

  The initial velocity.